import React from 'react';
import { IAnimationInOutProps } from './AnimationInOut.interface';
import AnimationInOutStyle from './AnimationInOut.style';

export function AnimationInOut({
   visible = true,
   children,
   durationIn = 300,
   durationOut = 300,
   animationOut = 'fade',
   animationIn = 'fade',
}: IAnimationInOutProps): JSX.Element {
   return (
      <AnimationInOutStyle
         visible={visible}
         durationIn={durationIn}
         durationOut={durationOut}
         animationOut={animationOut}
         animationIn={animationIn}
      >
         {children}
      </AnimationInOutStyle>
   );
}
